Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006174 [JEDI VCL] 00 JVCL Components major always 2013-07-24 21:04 2015-09-14 13:20
Reporter kgizmo View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006174: jvDBLookup and jvDBLookupTreeView don't search by Chars of codes greater than 255 (ex. Polish letters)
Description When lookup list contains words with for example Polish letters the searching function doesn't work.
Additional Information We resolved this problem in our project by changes:
1. jvDBLookup.pas
1.1. procedure TJvLookupControl.ProcessSearchKey(Key: Char): case Key of .... "Backspace, 0000032..0000255" to "Backspace,0000032..High(Char)"
1.2. procedure TJvDBLookupCombo.KeyPress(var Key: Char): "if CharInSet(Key, [0000032..0000255]) then" to "if (Key>=0000032) and (Key<=High(Char)) then"
2.jvDBLookupTreeView.pas
2.1. procedure TJvDBLookupControl.ProcessSearchKey(Key: Char):
2.1.1. "if (FListField <> nil) and (FListField.FieldKind = fkData) and
    (FListField.DataType = ftString) then"
   to
   "if (FListField <> nil) and (FListField.FieldKind = fkData) and
    ((FListField.DataType = ftString) or (FListField.DataType = ftWideString)) then"
2.1.2. "VK_SPACE..255:" to "VK_SPACE..Word(High(Char)):"

Those changes do what we want, but maybe there is another way to solve the problem, or maybe there are more places to change.
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0006042resolvedobones TJvDBLookupCombo searching with national characters UTF (with bugfix) 

-  Notes
(0020576)
AHUser (developer)
2013-07-25 21:27

Fixed in the master branch.

- Issue History
Date Modified Username Field Change
2013-07-24 21:04 kgizmo New Issue
2013-07-25 21:27 AHUser Note Added: 0020576
2013-07-25 21:27 AHUser Status new => resolved
2013-07-25 21:27 AHUser Fixed in Version => Daily / SVN
2013-07-25 21:27 AHUser Resolution open => fixed
2013-07-25 21:27 AHUser Assigned To => AHUser
2013-12-13 16:25 obones Relationship added has duplicate 0006042
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker